/* MadCap Table Style: */

/*<meta Version="7" />*/

mcTableStyle
{
	name: Properties;
	border-collapse: collapse;
	border-left-style: solid;
	border-left-width: 1pt;
	border-left-color: #000000;
	border-right-style: solid;
	border-right-width: 1pt;
	border-right-color: #000000;
	border-top-style: solid;
	border-top-width: 1pt;
	border-top-color: #000000;
	border-bottom-style: solid;
	border-bottom-width: 1pt;
	border-bottom-color: #000000;
	margin-left: 2pt;
	margin-top: 10pt;
	margin-bottom: 10pt;
	cell-padding-left: 2pt;
	cell-padding-right: 5pt;
	cell-padding-top: 2pt;
	cell-padding-bottom: 2pt;
	border-spacing-y: 0;
	max-id: 6;
	margin-right: 2pt;
}

mcTableColumnStyle
{
	span: 1;
	separator-style: solid;
	separator-width: 1pt;
	vertical-align: middle;
	name: Column1;
	id: 0;
	size: 20%;
	text-align: left;
}

mcTableColumnStyle
{
	span: 1;
	id: 5;
	name: Column2;
	size: 60%;
	separator-style: solid;
	separator-width: 1pt;
	text-align: left;
}

mcTableColumnStyle
{
	span: 1;
	id: 6;
	name: Column3;
	size: 20%;
	separator-style: solid;
	separator-width: 1pt;
	text-align: center;
}

mcTableHeadStyle
{
	span: 1;
	separator-style: solid;
	separator-width: 2pt;
	separator-color: #000000;
	background-color: #cccccc;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	name: Header1;
	id: 3;
}

mcTableBodyStyle
{
	span: 1;
	vertical-align: middle;
	separator-style: solid;
	separator-width: 1pt;
	name: Body1;
	id: 1;
}

mcTableBodyStyle
{
	span: 1;
	background-color: #dcebfb;
	separator-style: solid;
	separator-width: 1pt;
	vertical-align: middle;
	name: Body2;
	id: 2;
}

mcTableFootStyle
{
	span: 1;
	separator-style: solid;
	separator-width: 2pt;
	separator-color: #000000;
	background-color: #f5f5f5;
	name: Footer1;
	id: 4;
	text-align: left;
}


/* Cell Styles: */
 
.TableStyle-Properties
{
	border-collapse: collapse;
	border-left-style: solid;
	border-left-color: #000000;
	border-left-width: 1pt;
	border-right-style: solid;
	border-right-color: #000000;
	border-right-width: 1pt;
	border-top-style: solid;
	border-top-color: #000000;
	border-top-width: 1pt;
	border-bottom-style: solid;
	border-bottom-color: #000000;
	border-bottom-width: 1pt;
	margin-left: 2pt;
	margin-right: 2pt;
	margin-top: 10pt;
	margin-bottom: 10pt;
	border-spacing: 0px 0px;
}

.TableStyle-Properties .Column-Column1
{
	width: 20%;
}

.TableStyle-Properties .Column-Column2
{
	width: 60%;
}

.TableStyle-Properties .Column-Column3
{
	width: 20%;
}

.TableStyle-Properties .Head-Header1
{
	
}

.TableStyle-Properties .HeadI-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadI-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadE-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadE-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadF-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadF-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadH-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadH-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadD-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadD-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadC-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadC-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadB-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadB-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadA-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadA-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadG-Column1-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadG-Column1-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadI-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadI-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadE-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadE-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadF-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadF-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadH-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadH-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadD-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadD-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadC-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadC-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadB-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadB-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadA-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadA-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadG-Column2-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadG-Column2-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadI-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadI-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadE-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadE-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadF-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadF-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadH-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadH-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadD-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
	border-bottom-width: 2pt;
	border-bottom-color: #000000;
	border-bottom-style: solid;
}

.TableStyle-Properties .HeadD-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadC-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadC-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadB-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadB-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadA-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadA-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .HeadG-Column3-Header1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	font-weight: bold;
	text-align: center;
	vertical-align: middle;
	background-color: #cccccc;
}

.TableStyle-Properties .HeadG-Column3-Header1 p
{
	font-weight: bold;
}

.TableStyle-Properties .Foot-Footer1
{
	
}

.TableStyle-Properties .FootI-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootI-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootE-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootE-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootF-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootF-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootH-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootH-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootD-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootD-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootC-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootC-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootB-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootB-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootA-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootA-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootG-Column1-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootG-Column1-Footer1 p
{
	
}

.TableStyle-Properties .FootI-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootI-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootE-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootE-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootF-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootF-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootH-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootH-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootD-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootD-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootC-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootC-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootB-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootB-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootA-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootA-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootG-Column2-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootG-Column2-Footer1 p
{
	
}

.TableStyle-Properties .FootI-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootI-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootE-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootE-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootF-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootF-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootH-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootH-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootD-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
	border-top-width: 2pt;
	border-top-color: #000000;
	border-top-style: solid;
}

.TableStyle-Properties .FootD-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootC-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootC-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootB-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1pt;
	border-right-style: solid;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootB-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootA-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootA-Column3-Footer1 p
{
	
}

.TableStyle-Properties .FootG-Column3-Footer1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	background-color: #f5f5f5;
}

.TableStyle-Properties .FootG-Column3-Footer1 p
{
	
}

.TableStyle-Properties .Body-Body1
{
	
}

.TableStyle-Properties .BodyI-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyI-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyE-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyF-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyF-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyH-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyD-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyD-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyC-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyC-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyB-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyA-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyA-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyG-Column1-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyG-Column1-Body1 p
{
	
}

.TableStyle-Properties .BodyI-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
}

.TableStyle-Properties .BodyI-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyE-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyF-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
}

.TableStyle-Properties .BodyF-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyH-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyD-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
}

.TableStyle-Properties .BodyD-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyC-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
}

.TableStyle-Properties .BodyC-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyB-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyA-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
}

.TableStyle-Properties .BodyA-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyG-Column2-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: left;
}

.TableStyle-Properties .BodyG-Column2-Body1 p
{
	
}

.TableStyle-Properties .BodyI-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
}

.TableStyle-Properties .BodyI-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyE-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyF-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
}

.TableStyle-Properties .BodyF-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyH-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyD-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
}

.TableStyle-Properties .BodyD-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyC-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
}

.TableStyle-Properties .BodyC-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyB-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyA-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
}

.TableStyle-Properties .BodyA-Column3-Body1 p
{
	
}

.TableStyle-Properties .BodyG-Column3-Body1
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	text-align: center;
}

.TableStyle-Properties .BodyG-Column3-Body1 p
{
	
}

.TableStyle-Properties .Body-Body2
{
	
}

.TableStyle-Properties .BodyI-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyI-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyE-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyF-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyF-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyH-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyD-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyD-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyC-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyC-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyB-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyA-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyA-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyG-Column1-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	background-color: #dcebfb;
	text-align: left;
	vertical-align: middle;
}

.TableStyle-Properties .BodyG-Column1-Body2 p
{
	
}

.TableStyle-Properties .BodyI-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
}

.TableStyle-Properties .BodyI-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyE-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyF-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
}

.TableStyle-Properties .BodyF-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyH-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyD-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: left;
}

.TableStyle-Properties .BodyD-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyC-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
}

.TableStyle-Properties .BodyC-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyB-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyA-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
}

.TableStyle-Properties .BodyA-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyG-Column2-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: left;
}

.TableStyle-Properties .BodyG-Column2-Body2 p
{
	
}

.TableStyle-Properties .BodyI-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
}

.TableStyle-Properties .BodyI-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyE-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyE-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyF-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
}

.TableStyle-Properties .BodyF-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyH-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyH-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyD-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	border-bottom-width: 1pt;
	border-bottom-style: solid;
	text-align: center;
}

.TableStyle-Properties .BodyD-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyC-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
}

.TableStyle-Properties .BodyC-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyB-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
	border-right-width: 1pt;
	border-right-style: solid;
}

.TableStyle-Properties .BodyB-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyA-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
}

.TableStyle-Properties .BodyA-Column3-Body2 p
{
	
}

.TableStyle-Properties .BodyG-Column3-Body2
{
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	vertical-align: middle;
	background-color: #dcebfb;
	text-align: center;
}

.TableStyle-Properties .BodyG-Column3-Body2 p
{
	
}


